GSMdeomonstration.m
%L is the number of levels
%A is the total number of antennas
L=[4 8 16 32 64];
A=8:8:1024;
for i=1:1:length(L)
for j=1:1:length(A)
temp=[];
for k=1:1:A(j)
temp=[temp log2(nchoosek(A(j),k))+k*log2(L(i))];
end
C{i,j}=temp;
end
end
for i=1:1:length(L)
figure(i)
for j=1:1:length(A)
plot(C{i,j})
[P,Q]=max(C{i,j});
hold on
plot(Q,P,'r*')
end
end
% antennaselection.m
A=nchoosek([1 2 3 4 5 6 7 8],4);
M=zeros(8,70);
for i=1:1:70
M(A(i,:),i)=1;
end
image(M)
